Which MadAnalysis should be used for NLO?

Asked by Muhammad Humza Ashraf

I'm using the latest version of MadGraph5. When I perform LO calculations MadAnalysis4 serves the purpose for plotting distributions but as soon as I move towards NLO it shows the message that "analysis is not available". I've tried to install MadAnalysis5 but it still gives downloading error again and again. So please help me to resolve this issue that which MadAnalysis I should prefer for NLO?

Looking forward to your reply.

Thanking in advance 🙂

Question information

Language:
English Edit question
Status:
Solved
For:
MadGraph5_aMC@NLO Edit question
Assignee:
No assignee Edit question
Solved by:
Olivier Mattelaer
Solved:
Last query:
Last reply:
Revision history for this message
Best Olivier Mattelaer (olivier-mattelaer) said :
#1

Hi,

For plotting you are not restricted to Madanalysis familly and use any plotting tools that you want?
But indeed the one on which we provide an automatic interface at LO/NLO is MadAnalysis5.
MadAnalysis4 is not maintained anymore since ~2010 at that time NLO was not yet released so NLO code is only compatible with MadAnalysis5.

Additionally plotting on NLO does not make sense with madanalysis4 since the only jet algorithm available with MA4 is not infrared safe which is quite bad for NLO plot obviously.

Cheers,

Olivier

Revision history for this message
Muhammad Humza Ashraf (mhumza007) said :
#2

Thank you so much to consider my question!

I agree with you but as I told you earlier that MA5 is not getting install. Whenever I try to install it, it goes on with the following message "downloading MA5 failed" repetitively. So where could be the issue ?

Revision history for this message
Muhammad Humza Ashraf (mhumza007) said :
#3
Revision history for this message
Olivier Mattelaer (olivier-mattelaer) said :
#4

Thanks for reporting the issue, looks like the link is dead, I will see what I can do.

Cheers,

Olivier

> On 8 Aug 2021, at 10:25, Muhammad Humza Ashraf <email address hidden> wrote:
>
> Question #698286 on MadGraph5_aMC@NLO changed:
> https://answers.launchpad.net/mg5amcnlo/+question/698286
>
> Status: Answered => Open
>
> Muhammad Humza Ashraf is still having a problem:
> Thank you so much to consider my question!
>
> I agree with you but as I told you earlier that MA5 is not getting
> install. Whenever I try to install it, it goes on with the following
> message "downloading MA5 failed" repetitively. So where could be the
> issue ?
>
> --
> You received this question notification because you are an answer
> contact for MadGraph5_aMC@NLO.

Revision history for this message
Muhammad Humza Ashraf (mhumza007) said :
#5

Thank you Olivier! Hope so I'll be informed when the issue will be resolved..

Revision history for this message
Olivier Mattelaer (olivier-mattelaer) said :
#6

So the problem is on the launchpad page since all automatically genrated tarball link are not responding for the moment.
We use one of such link for MA5 since MA5 does not have yet an official release for python3.

I have reported the bug to launchpad web support team:
https://bugs.launchpad.net/launchpad/+bug/1939229 <https://bugs.launchpad.net/launchpad/+bug/1939229>
you can suscribe to that bug report to know when this will be solve.

Cheers,

Olivier

> On 8 Aug 2021, at 10:50, Muhammad Humza Ashraf <email address hidden> wrote:
>
> Question #698286 on MadGraph5_aMC@NLO changed:
> https://answers.launchpad.net/mg5amcnlo/+question/698286
>
> Muhammad Humza Ashraf posted a new comment:
> Thank you Olivier! Hope so I'll be informed when the issue will be
> resolved..
>
> --
> You received this question notification because you are an answer
> contact for MadGraph5_aMC@NLO.

Revision history for this message
Muhammad Humza Ashraf (mhumza007) said :
#7

Thank you so much dear Olivier!